%if 0%{?fedora}
%bcond_without benchmarks
%endif

Name:           okio
Version:        1.6.0
Release:        5%{?dist}
Summary:        Java I/O library
License:        ASL 2.0
URL:            http://square.github.io/%{name}/
BuildArch:      noarch

Source0:        https://github.com/square/%{name}/archive/%{name}-parent-%{version}.tar.gz

BuildRequires:  maven-local
BuildRequires:  mvn(org.apache.maven.plugins:maven-shade-plugin)
%if %{with benchmarks}
BuildRequires:  mvn(org.openjdk.jmh:jmh-core)
BuildRequires:  mvn(org.openjdk.jmh:jmh-generator-annprocess)
%endif
BuildRequires:  mvn(org.sonatype.oss:oss-parent:pom:)

%description
Okio is a new library that complements java.io and java.nio to make it
much easier to access, store, and process data.

%package javadoc
Summary:        API documentation for %{name}

%description javadoc
this package provides %{summary}.

%prep
%setup -q -n %{name}-%{name}-parent-%{version}

%if %{without benchmarks}
%pom_disable_module benchmarks
%endif

# Remove dependency on Animal Sniffer (not usable in Fedora)
%pom_remove_plugin :animal-sniffer-maven-plugin okio
%pom_remove_dep :animal-sniffer-annotations okio
sed -i /IgnoreJRERequirement/d okio/src/main/java/okio/{DeflaterSink,Okio}.java

# Skip one test which fails on ARM due to poor JVM performance.
sed -i /writeWithTimeout/s/./@org.junit.Ignore/ okio/src/test/java/okio/SocketTimeoutTest.java

%build
# Tests require networking
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%doc README.md LICENSE.txt

%files javadoc -f .mfiles-javadoc
%doc LICENSE.txt

%changelog
* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Jun 09 2017 Mat Booth <mat.booth@redhat.com> - 1.6.0-4
- Allow conditional build without benchmarks

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Jun 15 2016 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.6.0-2
- Add missing build-requires

* Tue Feb 16 2016 Gerard Ryan <galileo@fedoraproject.org> - 1.6.0-1
- Update to version 1.6.0 for okhttp-2.7.4

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Mar 11 2015 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.2.0-1
- Update to upstream version 1.2.0

* Fri Sep 26 2014 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.0.1-1
- Initial packaging
